Menu

## Monster extends BasicEnemy
in package
Uses AutoScaleFighter

Monster.php : 17

The Monster entity.

##### Tags

Entity
Table

  (name="monsters")

### Table of Contents

$health : int
$id : mixed
$level : mixed
$name : mixed
__construct() : mixed
  BasicEnemy constructor. Sets uuid upon creation.
damage() : mixed
  Does damage to the entity.
getAttack() : int
  Returns the attack value based on the fighter's level.
getBuffs() : BuffList
  Returns an empty bufflist.
getDefense() : int
  Returns the defense value based on the fighter's level.
getDisplayName() : string
  Returns the enemy's display name - this is the same than the name.
getHealth() : int
  Returns the enemy's current health.
getId() : int
  Returns the enemy's id.
getLevel() : int
  Returns the enemy's level.
getMaxHealth() : int
  Returns the maximum health based on the fighter's level.
getName() : string
  Returns the enemy's name.
heal() : mixed
  Heals the enemy.
isAlive() : bool
  Returns true if the enemy is alive.
setHealth() : mixed
  Sets the enemy's current health.

### Properties

#### $health

BasicEnemy.php : 22
`protected int $health`

#### $id

BasicEnemy.php : 16
`protected mixed $id`

##### Tags

Id

  @Column(type="uuid", unique=True)

#### $level

BasicEnemy.php : 20
`protected mixed $level`

##### Tags

Column

  (type="integer");

#### $name

BasicEnemy.php : 18
`protected mixed $name`

##### Tags

Column

  (type="string", length=50);

### Methods

#### __construct()

BasicEnemy.php : 28

BasicEnemy constructor. Sets uuid upon creation.

`public __construct() : mixed`

##### Tags

throws
  Exception

##### Return values

mixed —

#### damage()

BasicEnemy.php : 99

Does damage to the entity.

`public damage(int $damage) : mixed`

##### Parameters

$damage : int

##### Return values

mixed —

#### getAttack()

AutoScaleFighter.php : 31

Returns the attack value based on the fighter's level.

`public getAttack([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getBuffs()

AutoScaleFighter.php : 52

Returns an empty bufflist.

`public getBuffs() : BuffList`

##### Return values

BuffList —

#### getDefense()

AutoScaleFighter.php : 42

Returns the defense value based on the fighter's level.

`public getDefense([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getDisplayName()

BasicEnemy.php : 55

Returns the enemy's display name - this is the same than the name.

`public getDisplayName() : string`

##### Return values

string —

#### getHealth()

BasicEnemy.php : 73

Returns the enemy's current health.

`public getHealth() : int`

##### Return values

int —

#### getId()

BasicEnemy.php : 37

Returns the enemy's id.

`public getId() : int`

##### Return values

int —

#### getLevel()

BasicEnemy.php : 64

Returns the enemy's level.

`public getLevel() : int`

##### Return values

int —

#### getMaxHealth()

AutoScaleFighter.php : 20

Returns the maximum health based on the fighter's level.

`public getMaxHealth() : int`

##### Return values

int —

#### getName()

BasicEnemy.php : 46

Returns the enemy's name.

`public getName() : string`

##### Return values

string —

#### heal()

BasicEnemy.php : 113

Heals the enemy.

`public heal(int $heal[, type $overheal = false ]) : mixed`

##### Parameters

$heal : int
$overheal : type = false

  True if healing bigger than maxhealth is desired.

##### Return values

mixed —

#### isAlive()

BasicEnemy.php : 126

Returns true if the enemy is alive.

`public isAlive() : bool`

##### Return values

bool —

#### setHealth()

BasicEnemy.php : 86

Sets the enemy's current health.

`public setHealth(int $health) : mixed`

##### Parameters

$health : int

##### Return values

mixed —

## Search results